
Foreman - Bug #37150

Race condition in smart proxy test

02/07/2024 02:05 PM - dosas please_edit_me

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category:    

Target version:    

Difficulty:  Fixed in Releases: 3.10.0, 3.11.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/10041,

https://github.com/theforeman/foreman/p

ull/10103

  

Description

The smart proxy test is failing for me locally in forklift

Failure:

SmartProxyJSTest#test_0003_edit page [/home/vagrant/foreman/test/integration/smart_proxy_js_test.r

b:29]

Minitest::Assertion: expected "/smart_proxies" to equal "/smart_proxies/980190962-DHCP%20Proxy" 

 Adding wait_for_ajax fixes this problem

Associated revisions

Revision 88baad98 - 03/12/2024 09:24 AM - dosas please_edit_me

Fixes #37150 - Race condition in edit smart proxy test

History

#1 - 02/07/2024 02:09 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/10041 added

#2 - 03/12/2024 09:24 AM - The Foreman Bot

- Fixed in Releases 3.11.0 added

#3 - 03/12/2024 10:00 AM - dosas please_edit_me

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|88baad98d9c453c456394309ea296e24b0705777.

#4 - 03/19/2024 02:18 PM - The Foreman Bot

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman/pull/10103 added

#5 - 03/20/2024 06:03 PM - The Foreman Bot

- Fixed in Releases 3.10.0 added
